Package Gnumed :: Package business :: Module gmSoapDefs |
[frames] | no frames]

# Module gmSoapDefs

source code

GNUmed SOAP related defintions

Author: Karsten Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later (for details see http://gnu.org)

Functions
soap_cats2list(soap_cats) Normalizes a string or list of SOAP categories, preserving order. | source code
are_valid_soap_cats(soap_cats, allow_upper=True) | source code
normalize_soap_cat(soap_cat) | source code

Variables
| KNOWN_SOAP_CATS = `list('soapu')`
| soap_cat2l10n = `{'s': _('SOAP_char_S=S').replace('SOAP_char_S=`...``
| soap_cat2l10n_str = `{'s': _('SOAP_string_Subjective=Subjective`...``
| l10n2soap_cat = `{_('SOAP_char_S=S').replace('SOAP_char_S=', ''`...``

Function Details

### soap_cats2list(soap_cats) | source code
Normalizes a string or list of SOAP categories, preserving order. None -> gmSoapDefs.KNOWN_SOAP_CATS (all) [] -> [] u'' -> [] u' ' -> [None] (admin)

Variables Details

  ### soap_cat2l10n Value:
      {'s': _('SOAP_char_S=S').replace('SOAP_char_S=', ''), 'o': _('SOAP_cha
      r_O=O').replace('SOAP_char_O=', ''), 'a': _('SOAP_char_A=A').replace('
      SOAP_char_A=', ''), 'p': _('SOAP_char_P=P').replace('SOAP_char_P=', ''
      ), 'u': _('SOAP_char_U=U').replace('SOAP_char_U=', ''), '': _U_ELLIPSI
      S, None: _U_ELLIPSIS}

  ### soap_cat2l10n_str Value:
      {'s': _('SOAP_string_Subjective=Subjective').replace('SOAP_string_Subj
      ective=', ''), 'o': _('SOAP_string_Objective=Objective').replace('SOAP
      _string_Objective=', ''), 'a': _('SOAP_string_Assessment=Assessment').
      replace('SOAP_string_Assessment=', ''), 'p': _('SOAP_string_Plan=Plan'
      ).replace('SOAP_string_Plan=', ''), 'u': _('SOAP_string_Unspecified=Un
      specified').replace('SOAP_string_Unspecified=', ''), '': _('SOAP_strin
      g_Administrative=Administrative').replace('SOAP_string_Administrative=
      ', ''), None: _('SOAP_string_Administrative=Administrative').replace('
      ...

  ### l10n2soap_cat Value:
      {_('SOAP_char_S=S').replace('SOAP_char_S=', ''): 's', _('SOAP_char_O=O
      ').replace('SOAP_char_O=', ''): 'o', _('SOAP_char_A=A').replace('SOAP_
      char_A=', ''): 'a', _('SOAP_char_P=P').replace('SOAP_char_P=', ''): 'p
      ', _('SOAP_char_U=U').replace('SOAP_char_U=', ''): 'u', _U_ELLIPSIS: N
      one, '.': None, ' ': None, '': None}